void InitBaseCannons_CalcSpeedV0(ref rCannon, float fFireRange)
{
	rCannon.FireRange = fFireRange;
	rCannon.SpeedV0 = sqrt(fFireRange * 9.81 / sin( 2.0 * MakeFloat(rCannon.FireAngMax)) );
}

void InitCannons()
{
	ref rCannon;
	
	makeref(rCannon,Cannon[CANNON_TYPE_CULVERINE_LBS8]);
	rCannon.type = CANNON_NAME_CULVERINE;
	rCannon.name = "caliber8";
	rCannon.picture = "cannons1";
	rCannon.Sound = "cannon_fire_8";
	rCannon.caliber = 8;
	rCannon.ReloadTime = 40;
	rCannon.Cost = 80;
	rCannon.Weight = 15;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 0.4;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 1.5;
	rCannon.hp = 60.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,600.0);

	makeref(rCannon,Cannon[CANNON_TYPE_CULVERINE_LBS12]);
	rCannon.type = CANNON_NAME_CULVERINE;
	rCannon.name = "caliber12";
	rCannon.picture = "cannons2";
	rCannon.Sound = "cannon_fire_12";
	rCannon.caliber = 12;
	rCannon.ReloadTime = 60;
	rCannon.Cost = 120;
	rCannon.Weight = 18;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 0.6;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 2.0;
	rCannon.hp = 70.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,650.0);

	makeref(rCannon,Cannon[CANNON_TYPE_CULVERINE_LBS16]);
	rCannon.type = CANNON_NAME_CULVERINE;
	rCannon.name = "caliber16";
	rCannon.picture = "cannons3";
	rCannon.Sound = "cannon_fire_16";
	rCannon.caliber = 16;
	rCannon.ReloadTime = 80;
	rCannon.Cost = 160;
	rCannon.Weight = 21;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 0.8;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 2.5;
	rCannon.hp = 70.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,700.0);

	makeref(rCannon,Cannon[CANNON_TYPE_CULVERINE_LBS24]);
	rCannon.type = CANNON_NAME_CULVERINE;
	rCannon.name = "caliber24";
	rCannon.picture = "cannons4";
	rCannon.Sound = "cannon_fire_24";
	rCannon.caliber = 24;
	rCannon.ReloadTime = 100;
	rCannon.Cost = 200;
	rCannon.Weight = 27;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 1.2;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 3.5;
	rCannon.hp = 80.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,750.0);

	makeref(rCannon,Cannon[CANNON_TYPE_CANNON_LBS8]);
	rCannon.type = CANNON_NAME_CANNON;
	rCannon.name = "caliber8";
	rCannon.picture = "cannons5";
	rCannon.Sound = "cannon_fire_8";
	rCannon.caliber = 8;
	rCannon.ReloadTime = 30;
	rCannon.Cost = 80;
	rCannon.Weight = 6;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 0.4;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 0.8;
	rCannon.hp = 80.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,500.0);

	makeref(rCannon,Cannon[CANNON_TYPE_CANNON_LBS12]);
	rCannon.type = CANNON_NAME_CANNON;
	rCannon.name = "caliber12";
	rCannon.picture = "cannons6";
	rCannon.Sound = "cannon_fire_12";
	rCannon.caliber = 12;
	rCannon.ReloadTime = 50;
	rCannon.Cost = 100;
	rCannon.Weight = 9;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 0.6;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 1.0;
	rCannon.hp = 90.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,550.0);

	makeref(rCannon,Cannon[CANNON_TYPE_CANNON_LBS16]);
	rCannon.type = CANNON_NAME_CANNON;
	rCannon.name = "caliber16";
	rCannon.picture = "cannons7";
	rCannon.Sound = "cannon_fire_16";
	rCannon.caliber = 16;
	rCannon.ReloadTime = 70;
	rCannon.Cost = 140;
	rCannon.Weight = 12;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 0.8;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 1.5;
	rCannon.hp = 90.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,600.0);

	makeref(rCannon,Cannon[CANNON_TYPE_CANNON_LBS24]);
	rCannon.type = CANNON_NAME_CANNON;
	rCannon.name = "caliber24";
	rCannon.picture = "cannons8";
	rCannon.Sound = "cannon_fire_24";
	rCannon.caliber = 24;
	rCannon.ReloadTime = 90;
	rCannon.Weight = 18;
	rCannon.Cost = 185;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 1.2;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 2.5;
	rCannon.hp = 100.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,650.0);

	makeref(rCannon,Cannon[CANNON_TYPE_CANNON_LBS32]);
	rCannon.type = CANNON_NAME_SPECIAL_CANNON;
	rCannon.caliber = 32;
	rCannon.name = "caliber32";
	rCannon.picture = "cannons9";
	rCannon.Sound = "cannon_fire_32";
	rCannon.ReloadTime = 120;
	rCannon.Cost = 350;
	rCannon.Weight = 24;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.45;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 1.6;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 4.5;
	rCannon.TradeOff = true;
	rCannon.hp = 110.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,700.0);
	
	makeref(rCannon,Cannon[CANNON_TYPE_CANNON_LBS36]);
	rCannon.type = CANNON_NAME_SPECIAL_CANNON;
	rCannon.caliber = 36;
	rCannon.name = "caliber36";
	rCannon.picture = "cannons10";
	rCannon.Sound = "cannon_fire_36";
	rCannon.ReloadTime = 140;
	rCannon.Cost = 500;
	rCannon.Weight = 27;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.45;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 1.8;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 5.0;
	rCannon.TradeOff = true;
	rCannon.hp = 120.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,700.0);
	
	makeref(rCannon,Cannon[CANNON_TYPE_CANNON_LBS42]);
	rCannon.type = CANNON_NAME_SPECIAL_CANNON;
	rCannon.caliber = 42;
	rCannon.name = "caliber42";
	rCannon.picture = "cannons11";
	rCannon.Sound = "cannon_fire_42";
	rCannon.ReloadTime = 160;
	rCannon.Cost = 750;
	rCannon.Weight = 30;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.45;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 2.0;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 6.0;
	rCannon.TradeOff = true;
	rCannon.hp = 130.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,700.0);
	
	makeref(rCannon,Cannon[CANNON_TYPE_CANNON_LBS48]);
	rCannon.type = CANNON_NAME_SPECIAL_CANNON;
	rCannon.caliber = 48;
	rCannon.name = "caliber48";
	rCannon.picture = "cannons12";
	rCannon.Sound = "cannon_fire_48";
	rCannon.ReloadTime = 180;
	rCannon.Cost = 1000;
	rCannon.Weight = 33;
	rCannon.FireAngMax = 0.60;
	rCannon.FireAngMin = -0.45;
	rCannon.TimeSpeedMultiply = 1.0;
	rCannon.BigBall = 0;
	rCannon.SizeMultiply = 2.2;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 6.5;
	rCannon.TradeOff = true;
	rCannon.hp = 140.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,750.0);

	makeref(rCannon,Cannon[CANNON_TYPE_MORTAR]);
	rCannon.type = CANNON_NAME_MORTAR;
	rCannon.caliber = 92;
	rCannon.name = "caliber92";
	rCannon.picture = "cannons13";
	rCannon.Sound = "cannon_fire_92m";
	rCannon.ReloadTime = 350;
	rCannon.Cost = 2000;
	rCannon.Weight = 39;
	rCannon.FireAngMax = 0.80;
	rCannon.FireAngMin = -0.35;
	rCannon.TimeSpeedMultiply = 0.8;
	rCannon.BigBall = 1;
	rCannon.SizeMultiply = 5.0;
	rCannon.HeightMultiply = 1.0;
	rCannon.DamageMultiply = 9.0;
	rCannon.TradeOff = true;
	rCannon.hp = 150.0;
	InitBaseCannons_CalcSpeedV0(&rCannon,600.0);
}
