#include "ships\ships.h"

extern void InitShips();
extern void InitSailsColors();
extern void InitRandomShipsNames();

string	sRndShpSpName[2], sRndShpEnTraName[2], sRndShpEnHybName[2], sRndShpEnSmWarName[2], sRndShpEnLgWarName[2], sRndShpFrName[2], sRndShpPiName[2], sRndShpHoName[2], sRndShpPoName[2];

void ShipsInit()
{
	if (LoadSegment("ships\ships_init.c"))
	{
		InitShips();
		UnloadSegment("ships\ships_init.c");
	}

	// init sails color
	if (LoadSegment("ships\sails_init.c"))
	{
		InitSailsColors();
		UnloadSegment("ships\sails_init.c");
	}
}

void SetRandomNameToShip(ref rCharacter)
{
	ref rMassiveOfNames;
	if(!CheckAttribute(rCharacter, "nation"))
	{
		rCharacter.nation = PIRATE;
	}
	if(sti(rCharacter.nation) == -1)
	{
		rCharacter.nation = PIRATE;
	}

	switch (sti(rCharacter.nation))
	{
		case ENGLAND:
            if(sti(rCharacter.ship.type.merchant)==true && sti(rCharacter.ship.type.war)==true){
                makeref(rMassiveOfNames, sRndShpEnHybName);
            }else {
                if(sti(rCharacter.ship.type.merchant)==true){
                    makeref(rMassiveOfNames, sRndShpEnTraName);
                } else {
                    if((sti(rCharacter.ship.class) <= 6) && (sti(rCharacter.ship.class) >= 3)) {
                        makeref(rMassiveOfNames, sRndShpEnSmWarName);
                    } else {
                        makeref(rMassiveOfNames, sRndShpEnLgWarName);
                    }
                }
            } //This one was added
		break;
		case FRANCE:
			makeref(rMassiveOfNames, sRndShpFrName); 
		break;
		case SPAIN:
			makeref(rMassiveOfNames, sRndShpSpName); 
		break;
		case PIRATE:
			makeref(rMassiveOfNames, sRndShpPiName); 
		break;
		case HOLLAND:
			makeref(rMassiveOfNames, sRndShpHoName); 
		break;
		case SMUGGLER:
			makeref(rMassiveOfNames, sRndShpPiName);
		break;
	}
	int iMassiveOfNamesSize = GetArraySize(rMassiveOfNames);
	rCharacter.Ship.Name = GetRandSubString(rMassiveOfNames[rand(iMassiveOfNamesSize-2)]);
}

string generateRandomNameToShip(int iNation, ref rCharacter)
{
	ref rMassiveOfNames;
	switch (iNation)
	{
		case ENGLAND:
            if(sti(rCharacter.ship.type.merchant)==true && sti(rCharacter.ship.type.war)==true){
                makeref(rMassiveOfNames, sRndShpEnHybName);
            }else {
                if(sti(rCharacter.ship.type.merchant)==true){
                    makeref(rMassiveOfNames, sRndShpEnTraName);
                } else {
                    if((sti(rCharacter.ship.class) <= 6) && (sti(rCharacter.ship.class) >= 3)) {
                        makeref(rMassiveOfNames, sRndShpEnSmWarName);
                    } else {
                        makeref(rMassiveOfNames, sRndShpEnLgWarName);
                    }
                }
            } //This one was added
		break;
		case FRANCE:	
			makeref(rMassiveOfNames, sRndShpFrName); 
		break;
		case SPAIN:		
			makeref(rMassiveOfNames, sRndShpSpName); 
		break;
		case PIRATE:	
			makeref(rMassiveOfNames, sRndShpPiName); 
		break;
		case HOLLAND:	
			makeref(rMassiveOfNames, sRndShpHoName); 
		break;
		case SMUGGLER:	
			makeref(rMassiveOfNames, sRndShpPiName); 
		break;
	}
	int iMassiveOfNamesSize = GetArraySize(rMassiveOfNames);
	string sName = GetRandSubString(rMassiveOfNames[rand(iMassiveOfNamesSize-2)]);
	
	return sName;
}

string GetShipLocationID(ref chref)
{
	
	if(!CheckAttribute(chref,"ship.type")) 
	{
		return "";
	}
	int st = sti(chref.ship.type);
	if(st==SHIP_NOTUSED) 
	{
		return "";
	}

	int iShipType = sti(RealShips[st].basetype);
	if(ShipsTypes[iShipType].name == "Fort")
	{
		aref ar_FindLoc = FindIslandReloadLocator(chref.location,chref.location.locator);
		if( CheckAttribute(ar_FindLoc,"go") ) 
		{
			return ar_FindLoc.go;
		}
		return "";
	}
	if(!CheckAttribute(&RealShips[st],"AbordageLocation"))
	{
		trace("WARNING!!! Ship ("+st+") " + ShipsTypes[st].name + " hav`t attribute AbordageLocation");
		return "";
	}
	return RealShips[st].AbordageLocation;
	
	//return LOCINITBRD_DEFAULTLOCATION;
}
